/***************************************************************************
 *   Copyright (C) 2006-2012 by Julien Lemoine, Simon Viennot              *
 *   Web site: http://kitsune.tuxfamily.org                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef BOARDWIDGET_H
#define BOARDWIDGET_H

#include <QWidget>
#include "selection.h"

class BoardWidget : public QWidget {
	Q_OBJECT
	
  public:
	BoardWidget( QWidget *parent=0);
	
	//parameters describing a given problem
	selection t;
	targetType target;
	vector<tile> tileList;	//not sorted, same as displayed
	vector<int> digitList;

  public slots:
	void targetTileClicked(int tile_id, bool increase);
	void initTarget(int newTarget);
	void updateTargetDisplay();
	
	void selectionTileClicked(int tile_id, bool increase);
	void initSelection(selection t_ini);
	void updateTileDisplay();
	void updateTileNumber();
	
	void randomSelection();
	void assignTarget(int);
	
  signals:
	//target changed
	void targetChanged(int);
	void selectionChanged(selection);
	
	//relay signals to other modules
	void tileClicked(int,int);
	
	//relay signals from other modules
	void refresh(int, int); //widget number and value
	void variableTile(bool);
	void changeStatus(int, int);
};

#endif

