/***************************************************************************
 *   Copyright (C) 2006-2012 by Julien Lemoine, Simon Viennot              *
 *   Web site: http://kitsune.tuxfamily.org                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef CLOCKWIDGET_H
#define CLOCKWIDGET_H

#include <QWidget>

#include "global.h"

class QProgressBar;

//Widget to count and display the elapsed time
class ClockWidget : public QWidget, kitsuneColors {
	Q_OBJECT
	
  public:
	ClockWidget( QWidget *parent=0);
	QProgressBar *pbar;
	QTimer *timer;
	int subdivision;	//number of subdivisions of the progress bar
	int timeUnits;		//elapsed units of time (one unit length depend of the number of subdivisions)
	static int nb_sec;	//available time (round length)

  public slots:
	void startClock();
	void stopClock();
	void initClock();
	void increaseTime();
  signals :
	void timeElapsed();
};

#endif
