/***************************************************************************
 *   Copyright (C) 2006-2012 by Julien Lemoine, Simon Viennot              *
 *   Web site: http://kitsune.tuxfamily.org                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "global.h"

//font used in Qt Widgets
KitsuneFonts::KitsuneFonts() {
	#ifndef WINDOWS
		font_normal.setFamily( "Bitstream Vera Sans" );
		font_normal.setPixelSize( 12 );
		
		font_big.setFamily( "Bitstream Vera Sans" );
		font_big.setPixelSize( 14 );
		font_big.setBold( TRUE );
		
		font_monospace.setFamily( "Bitstream Vera Sans Mono" );
		font_monospace.setPixelSize( 12 );
	#else
		//default font is used for font_normal and font_big
		//default size is used for font_normal
		
		font_big.setPixelSize( 14 );
		font_big.setBold( TRUE );
		
		font_monospace.setFamily( "Lucida Console" );
		font_monospace.setPixelSize( 14 );
	#endif
}

//color definitions
kitsuneColors::kitsuneColors() {
	orangePalette.setColor( QPalette::Window, QColor( 255, 196, 128 ) );
	orangePalette.setColor( QPalette::Highlight, QColor( 255, 196, 128 ) );
	
	whitePalette.setColor( QPalette::Window, QColor( 255, 255, 255 ) );
	//note : alpha=0 is better than gray because default gray is different on Linux and windows platforms
	//(Linux gray : 207, 207, 207)
	grayPalette.setColor( QPalette::Window, QColor( 0, 0, 0, 0 ) );				//alpha=0 : transparent
	grayPalette_total.setColor( QPalette::WindowText, QColor( 0, 0, 0, 0 ) );	//alpha=0 : transparent
}

//arbitrary constant to define color names
int kitsuneColors::orangeColor=0;
int kitsuneColors::whiteColor=1;
int kitsuneColors::grayColor=2;
int kitsuneColors::grayColor_total=3;

const QString global::kitsuneVersion=QString("3.0");

//game mode
const int global::ModeRandom=0;
const int global::ModeTV=1;
const int global::ModeTraining=2;

//current game mode
int global::currentMode=global::ModeRandom;
