/***************************************************************************
 *   Copyright (C) 2006-2012 by Julien Lemoine, Simon Viennot              *
 *   Web site: http://kitsune.tuxfamily.org                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef GLOBAL_H
#define GLOBAL_H

#include <QFont>
#include <QPalette>
#include <QString>

//mini-class to harmonize Qt fonts in all the widgets
//to use this class, just make the widget derive from it
//font_* is then available
class KitsuneFonts {
public :
	KitsuneFonts();
	QFont font_normal, font_monospace, font_big;
};

//mini-class to harmonize colors
class kitsuneColors {
public :
	kitsuneColors();
	QPalette orangePalette, whitePalette, grayPalette, grayPalette_total;
	
	//useful constant to remember color names
	static int orangeColor, whiteColor, grayColor, grayColor_total;
};

//global constant (static const is used in place of #define)
class global {
  public :
	static const QString kitsuneVersion;
	static const int ModeRandom, ModeTV, ModeTraining;

	//current game mode
	static int currentMode;
};

#endif

