/***************************************************************************
 *   Copyright (C) 2006-2012 by Julien Lemoine, Simon Viennot              *
 *   Web site: http://kitsune.tuxfamily.org                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <fstream>
#include <sstream>
#include <QApplication>
#include <QTranslator>
#include <QString>
#include "optionswidget.h"
#include "mainwidget.h"
#include "operationwidget.h"
#include "selection.h"

int main( int argc, char **argv ) {
	//initialize the authorized tiles
	//this will be initialized again if there is a section authorizedTiles in the options file
	selection::ref = selection::getDefaultRules();
	
	int end=OptionsWidget::NewLanguage;
	while(end==OptionsWidget::NewLanguage) {
		QApplication a( argc, argv );
		
		//clear the pixmap pointers
		OperationWidget::clearPixmapPointers();
		
		//read the options file if existing
		OptionsWidget::readFile();
		
		//use the correct language
		QTranslator translator;
		QString languageFile=QString(":/txt/%1/kitsune").arg(OptionsWidget::language);
		translator.load(languageFile);
		a.installTranslator(&translator);
		
		//launch the application
		a.setStyle("plastique");
		MainWidget *hm = new MainWidget();
		hm->show();
		
		end=a.exec();
	}
	
	return EXIT_SUCCESS;
}
