/***************************************************************************
 *   Copyright (C) 2006-2012 by Julien Lemoine, Simon Viennot              *
 *   Web site: http://kitsune.tuxfamily.org                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef OPTIONSWIDGET_H
#define OPTIONSWIDGET_H

#include "global.h"
#include <QDialog>

class QCheckBox;
class QSpinBox;
class QRadioButton;
class QString;

class OptionsWidget : public QDialog, KitsuneFonts {
  Q_OBJECT
	
  public:
	//limit parameters and default options
	static int min_roundTime;
	static int max_roundTime;
	static int min_nb_tiles;
	static int max_nb_tiles;
	static int min_min_targetType;
	static int max_min_targetType;
	static int min_max_targetType;
	static int max_max_targetType;
	
	//language parameters
	static QString language;
	static int NewLanguage;  //value used to restart the program (value has no meaning, except 0)
	
	//read options file
	static void readFile();
	static void setGameRule();
	static void setDefaultGameRule();
	static bool saveOptions; //indicate whether to save or not the options
	
	//widget options
	OptionsWidget( QWidget* parent = 0);
	
	QCheckBox *cano1, *cano2, *cano3, *saveOptionsBox, *possible_target;
	QRadioButton *language1, *language2, *language3, *language4, *language5;
	QSpinBox *boxTime, *boxtargetType, *boxtargetType2;
	
  public slots:
	void modifOk();
	void setDefault();
	void deleteOptionsFile();
};

#endif
