/***************************************************************************
 *   Copyright (C) 2006-2012 by Julien Lemoine, Simon Viennot              *
 *   Web site: http://kitsune.tuxfamily.org                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef PLAYERWIDGET_H
#define PLAYERWIDGET_H

#include "problem.h"
#include "global.h"

#include <QWidget>

class QLabel;
class QDialog;

//PlayerWidget class is used to store the total number of wins and losses of the player
//the wins and losses can be saved in the settings file
class PlayerWidget : public QWidget, KitsuneFonts {
	Q_OBJECT

  private:
	QLabel *winLabel;
	QLabel *lossLabel;
	
	unsigned int totalWin; //total number of wins
	unsigned int totalLoss;  //total number of losses
	QString scoreDate; //date from which score is recorded
	
	QDialog *selectDialog;
	
  public:
	PlayerWidget( QWidget *parent=0 );
	
  public slots:
	//update display with the given value
	void addWin();
	void addLoss();
	void saveWinLoss();
	void readWinLoss();
	void refresh();
	void mousePressEvent(QMouseEvent *);
	void resetScore();
	void displayScoreDialog();
};

#endif

