/***************************************************************************
 *   Copyright (C) 2006-2012 by Julien Lemoine, Simon Viennot              *
 *   Web site: http://kitsune.tuxfamily.org                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef SOLUTIONWIDGET_H
#define SOLUTIONWIDGET_H

#include <QWidget>
#include "selection.h"

class SolutionWidget : public QWidget {
	Q_OBJECT
	
  public:
	SolutionWidget( QWidget *parent=0 );
	
	bool locked; //operations and ruber are locked when true
	
	int x, y; //current position in the solving grid
	
	//value of the solving grid
	vector <int> a; //first tile column
	vector <int> b; //operation column
	vector <int> c; //second tile column
	vector<int> total; //line's result column

	int position; //id of the current tile (from 100 to 114)
	
	pair<int,int> targetRange; //target to reach

	//no link to a previous tile : -1
	//link to a previous tile : index of the previous tile in the vector
	//previous tile of a tile in the solving grid is the tile "used" in the selection or intermediate results
	vector<int> previousTile;
	
  public slots:
	void tileClicked(int, int);
	void init();     //clean all the tiles
	void rubber();    //ruber
	void lockModule(bool); //lock/unlock module
	
  signals:
	void changetile(int, int);
	void changeStatus(int, int);
	void victory();
	void clickNotPossible(int);
};

#endif
